
QGIS Application - Bug report #21783

Error reading netCDF with multiple bands

2019-04-07 10:23 PM - giu mas

Status: Open

Priority: High

Assignee:

Category: Rasters

Affected QGIS version:3.7(master) Regression?: Yes

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29598

Description

I am creating some netCDF files with more than 1 band using GDAL (2.4.1).

The created files (an example file in attachment) works fine in QGIS 2.18 (and other GIS apps), but I get the following errors with QGIS 3+

(ltr, dev, etc.) on OSGEO4W64:

2019-04-07T16:16:16     CRITICAL    Invalid Layer : Raster layer Provider is not valid (provider: gdal, URI: C:/gdal.nc

2019-04-07T16:16:16     CRITICAL    Invalid Data Source : C:/gdal.nc is not a valid or recognized data source.

If I create a netCDF file with just 1 band (example attached), QGIS 3+ reads the file smoothly.

This issue may be related to #20921, #20980 and #21648

Related issues:

Related to QGIS Application - Bug report # 21822: Cannot load multivariable n... Open 2019-04-10

History

#1 - 2019-04-08 11:19 AM - Giovanni Manghi

- Status changed from Open to Feedback

it works as expected here: when you d&d the 3 band raster on the canvas a dialog shows asking what band you want to load. You must select at least one.

If you don't select any band then you gets the error.

#2 - 2019-04-09 06:26 AM - giu mas

- File qgis-bin_2019-04-09_00-22-03.png added

- Status changed from Feedback to Open

I have attempted the same process (d&d the 3 band raster) on different Windows machines.

The result is always the same error (screenshot attached).

Are you running QGIS as it comes from OSGEO4W64? Or do you have active some dev-specific settings? This would explain why it works on your

machine.

qgis-bin_2019-04-09_00-22-03.png
#3 - 2019-04-09 05:38 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

giu mas wrote:

I have attempted the same process (d&d the 3 band raster) on different Windows machines.

I tried on Linux (Ubuntu 18.04). You should also do (I can't test on Windows right now), so we can say if the problem is platform dependent. 

It could also depend on the version of GDAL being used.

#4 - 2019-04-09 07:19 PM - giu mas

- Status changed from Feedback to Open

- File osgeolive12_qgis-dev.png added

My Ubuntu 18.04 steps:

- Download the latest OSGeoLive (12) VM.

- Update the software repositories with https://qgis.org/ubuntu-nightly.

- Install QGIS: sudo apt-get install qgis python3-qgis qgis-plugin-grass

- Drag and drop gdal_3bands.nc.

Unfortunately, I got the same error:

osgeolive12_qgis-dev.png

#5 - 2019-04-09 07:30 PM - Giovanni Manghi

- Status changed from Open to Feedback

Unfortunately, I got the same error (attached).

what is the GDAL version used (you see it in the QGIS "about")?

#6 - 2019-04-09 07:40 PM - giu mas

- File osgeolive12_qgis_about.png added

2.2.3 on Ubuntu

osgeolive12_qgis_about.png

#7 - 2019-04-09 07:44 PM - giu mas

- Status changed from Feedback to Open

- File osgeo4w64_qgis_about.png added
2.4.0 on Windows

osgeo4w64_qgis_about.png

#8 - 2019-04-09 09:02 PM - Jürgen Fischer

- Description updated

#9 - 2019-04-10 06:40 PM - Giovanni Manghi

- Subject changed from Error in reading netCDF with multiple bands to Error in reading netCDF with multiple bands on Windows

Yeah I can see it on Windows... but on Linux definitely works here.

#10 - 2019-04-10 07:03 PM - giu mas

Mmm... I disagree since it does not work on my OSGeolive VM (I can share the VM with you).

Furthermore, there are tickets on potentially the same issue:

    -  #20921 (got closed for lack of feedback) on Linux

    -  #21648 (waiting for feedback) on Mac

#11 - 2019-04-10 07:07 PM - Giovanni Manghi

giu mas wrote:

Mmm... I disagree since it does not work on my OSGeolive VM (I can share the VM with you).

I can download myself if needed.

Furthermore, there are tickets on potentially the same issue:    -  #20921 (got closed for lack of feedback) on Linux

    -  #21648 (waiting for feedback) on Mac

just saying that on my linux box(es), with that gdal version, it works.

#12 - 2019-04-10 07:14 PM - giu mas

Giovanni Manghi wrote:

giu mas wrote:

Mmm... I disagree since it does not work on my OSGeolive VM (I can share the VM with you).

I can download myself if needed.

My VM would have the issue that I am talking about. The default OSGeolive has QGSI 2.18, thus I have installed in it QGIS 3-dev (I have described my

steps in a previous post.)

Furthermore, there are tickets on potentially the same issue:    -  #20921 (got closed for lack of feedback) on Linux
    -  #21648 (waiting for feedback) on Mac

just saying that on my linux box(es), with that gdal version, it works.

I am only afraid that the title modification implies that the issue has been identified as Windows-only. In reality, there is evidence of the contrary after that I

have followed your suggestion to run QGIS 3-dev on Linux.

#13 - 2019-04-10 07:15 PM - Jürgen Fischer

- Related to Bug report #21822: Cannot load multivariable netcdf files added

#14 - 2019-04-10 07:16 PM - Giovanni Manghi

- Subject changed from Error in reading netCDF with multiple bands on Windows to Error reading netCDF with multiple bands

Files

gdal_3bands.nc 229 KB 2019-04-07 giu mas

gdal_1band.nc 79.1 KB 2019-04-07 giu mas

qgis-bin_2019-04-09_00-22-03.png 44.4 KB 2019-04-09 giu mas

osgeolive12_qgis-dev.png 1010 KB 2019-04-09 giu mas

osgeolive12_qgis_about.png 63.7 KB 2019-04-09 giu mas

osgeo4w64_qgis_about.png 27.6 KB 2019-04-09 giu mas
